textures/moonastery/sky
{
//    skybox "Wasteland" by Ingar
      qer_editorimage env/moonastery/wasteland
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
// -- surface sky light
      q3map_skylight 225 3
      q3map_lightimage env/moonastery/wasteland
// -- direct sunlight
//    q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
//    q3map_sunExt 1.00 0 0 125 180 90 2 16
      q3map_sunExt 0.6 0.6 1 100 90 45 2 16
      skyparms env/moonastery/wasteland - -
}

textures/moonastery/nightsky
{
//    
      qer_editorimage env/nightsky/nightsky
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
// -- surface sky light
      q3map_skylight 225 3
      q3map_lightimage env/nightsky/nightsky
// -- direct sunlight
//    q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
//    q3map_sunExt 1.00 0 0 125 180 90 2 16
      q3map_sunExt 0.6 0.6 1 150 130 45 2 16
      skyparms env/nightsky/nightsky - -

	{
		map textures/moonastery/nubes/clouds1.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 3 3
	}


}


// -------------------- Particle dust
// from Uncreation by Who-[Soup]
// edited as blue and red version
textures/nano/dust_shader_blue
{
        cull none
        entityMergable
	qer_editorimage textures/nano/dust_blue
        {
                map textures/nano/dust_blue.tga
                blendFunc blend
                rgbGen          vertex
                alphaGen        vertex
        }
}

textures/nano/dust_shader_red
{
        cull none
        entityMergable
	qer_editorimage textures/nano/dust_red
        {
                map textures/nano/dust_red.tga
                blendFunc blend
                rgbGen          vertex
                alphaGen        vertex
        }
}


// -------------------- Particle nieve1

textures/moonastery/nieve/nieve1
{
        cull none
        entityMergable
	qer_editorimage textures/moonastery/nieve/nieve1
        {
                map textures/moonastery/nieve/nieve1.tga
                blendFunc blend
                rgbGen          vertex
                alphaGen        vertex
        }
}




//PANELES

textures/yocto/eX_Q2_01_d
{
	diffusemap textures/moonastery/paneles/eX_q2_01_d.tga
	normalmap textures/moonastery/paneles/eX_q2_01_local.tga
	specularmap textures/moonastery/paneles/eX_q2_01_s.tga
}






//Bump Mapping Shaders


textures/moonastery/hormigon/HORMIGONVIEJO-003


{
    
	qer_editorimage textures/moonastery/hormigon/HORMIGONVIEJO-003.JPG
	bumpMap textures/moonastery/hormigon/HORMIGONVIEJO-003n.JPG
        diffusemap textures/moonastery/hormigon/HORMIGONVIEJO-003.JPG   
	specularmap textures/moonastery/hormigon/HORMIGONVIEJO-003s.JPG 

}


textures/moonastery/hormigon/CONCRETEFLOOOR1

{
    
	qer_editorimage textures/moonastery/hormigon/CONCRETEFLOOR1.JPG
	bumpMap textures/moonastery/hormigon/CONCRETEFLOOR1n.JPG
        diffusemap textures/moonastery/hormigon/CONCRETEFLOOR1.JPG   
	specularmap textures/moonastery/hormigon/CONCRETEFLOOR1s.JPG 

}




textures/moonastery/mampuestos/bloquehv1
{
    
	qer_editorimage textures/moonastery/mampuestos/bloquehv1.JPG
	bumpMap textures/moonastery/mampuestos/bloquehv1n.JPG
        diffusemap textures/moonastery/mampuestos/bloquehv1.JPG  
	specularmap textures/moonastery/mampuestos/bloquehv1.JPG
}




textures/moonastery/mampuestos/murobloqueparkingpintado
{
    
	qer_editorimage textures/moonastery/mampuestos/murobloqueparkingpintado.JPG
	bumpMap textures/moonastery/mampuestos/murobloqueparkingpintadon2.JPG
        diffusemap textures/moonastery/mampuestos/murobloqueparkingpintado.JPG  
	specularmap textures/moonastery/mampuestos/murobloqueparkingpintado.JPG
}









textures/moonastery/pavimentos/acera1

{
    
	qer_editorimage textures/moonastery/pavimentos/acera1.jpg
	bumpMap textures/moonastery/pavimentos/acera1n.jpg
        diffusemap textures/moonastery/pavimentos/acera1.jpg   
  	specularmap textures/moonastery/pavimentos/acera1s1.jpg

}


textures/moonastery/pavimentos/acera2

{
    
	qer_editorimage textures/moonastery/pavimentos/acera1.jpg
	bumpMap textures/moonastery/pavimentos/acera1n.jpg
        diffusemap textures/moonastery/pavimentos/acera1.jpg   
  	specularmap textures/moonastery/pavimentos/acera1s2.jpg

}


textures/moonastery/pavimentos/acera3
{
    
	qer_editorimage textures/moonastery/pavimentos/acera1.jpg
	bumpMap textures/moonastery/pavimentos/acera1n.jpg
        diffusemap textures/moonastery/pavimentos/acera1.jpg   
  	specularmap textures/moonastery/pavimentos/acera1s3.jpg

}



//PAVIMENTOS TRAMEX


textures/moonastery/pavimentos/tramex1
{
    
	qer_editorimage textures/moonastery/pavimentos/tramex1.jpg
	bumpMap textures/moonastery/pavimentos/tramex1n.jpg
        diffusemap textures/moonastery/pavimentos/tramex1.jpg   
  	specularmap textures/moonastery/pavimentos/tramex1.jpg

}


textures/moonastery/pavimentos/tramex2
{
    
	qer_editorimage textures/moonastery/pavimentos/tramex2.jpg
	bumpMap textures/moonastery/pavimentos/tramex2n.jpg
        diffusemap textures/moonastery/pavimentos/tramex2.jpg   
  	specularmap textures/moonastery/pavimentos/tramex2s.jpg

}


textures/moonastery/pavimentos/tramex3
{
    
	qer_editorimage textures/moonastery/pavimentos/tramex3d.jpg
	bumpMap textures/moonastery/pavimentos/tramex3n.jpg
        diffusemap textures/moonastery/pavimentos/tramex3d.jpg   
  	specularmap textures/moonastery/pavimentos/tramex3s.jpg

}





textures/moonastery/lamparas/lamp1

{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/moonastery/lamparas/lamp1.blend.jpg
	qer_editorimage textures/moonastery/lamparas/lamp1.jpg

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moonastery/lamparas/lamp1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/moonastery/lamparas/lamp1.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/moonastery/lamparas/e6horzlight_blue_s_10k

{
	qer_editorimage textures/nexus6/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB .5 .75 1
	{
		map textures/nexus6/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/nexus6/e6horzlight_blend.tga
		blendfunc add
	}
}



textures/moonastery/flares/flare_red
{
	qer_editorimage textures/moonastery/flares/flare_red.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6

	{
		map textures/moonastery/flares/flare_red.jpg
		blendfunc add
	}
}

textures/moonastery/flares/flare_orange
{
	qer_editorimage textures/moonastery/flares/flare_orange.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6

	{
		map textures/moonastery/flares/flare_orange.jpg
		blendfunc add
	}
}


textures/moonastery/flare_red_01
{
	qer_editorimage textures/moonastery/flares/flare_red_01.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/moonastery/flares/flare_red_01.jpg
		blendfunc add
	}
}



textures/moonastery/bulb_red_s
{
	qer_editorimage textures/atcshd/bulb_red.tga
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.5
	q3map_surfacelight 10000
	q3map_lightRGB 1 0 0
	{
		map textures/atcshd/bulb_red.tga
		blendfunc gl_dst_color gl_src_alpha
	}
	{
		map textures/atcshd/bulb_red.tga
		blendfunc gl_dst_color gl_src_alpha
	}
}


textures/moonastery/cristal1
{
	qer_editorimage textures/moonastery/cristales/scratchglass1.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/moonastery/cristales/scratchglass1.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}



textures/moonastery/lamparas/eq2lt_baselt03b_red_s_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/moonastery/lamparas/eq2_baselt03b_red.blend.jpg
	qer_editorimage textures/moonastery/lamparas/eq2_baselt03b_red.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moonastery/lamparas/eq2_baselt03b_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/moonastery/lamparas/eq2_baselt03b_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

