textures/atcs_halloween/sky
{
//    skybox "Wasteland" by Ingar
      qer_editorimage env/atcs_halloween/wasteland
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
// -- surface sky light
      q3map_skylight 225 3
      q3map_lightimage env/atcs_halloween/wasteland
// -- direct sunlight
//    q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
//      q3map_sunExt 1.00 0.949 0.977 125 245 40 2 16
      q3map_sunExt 1.00 1.00 1.00 160 245 40 2 16
      skyparms env/atcs_halloween/wasteland - -
}

// no lightmap, always black
textures/atcs_halloween/black
{
	qer_editorimage textures/atcs_halloween/black
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/atcs_halloween/black
	}
}

textures/atcs_halloween/burst_red_s
{
	entityMergable
	cull none
	{
		map textures/atcs_halloween/sparkle_red.tga
		blendFunc add
		alphaGen	vertex
	}
}

textures/atcs_halloween/burst_blue_s
{
	entityMergable
	cull none
	{
		map textures/atcs_halloween/sparkle_blue.tga
		blendFunc add
		alphaGen	vertex
	}
}

textures/atcs_halloween/force_field_s
	{
        qer_editorimage textures/atcs_halloween/force_grid.tga
	surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/atcs_halloween/force_field.tga
		tcMod Scroll .1 0
		blendFunc add
	}
	{
		map textures/atcs_halloween/force_grid.tga
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/atcs_cool/force_field_s
	{
        qer_editorimage textures/atcs_cool/force_grid.tga
	surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/atcs_cool/force_field.tga
		tcMod Scroll .1 0
		blendFunc add
	}
	{
		map textures/atcs_cool/force_grid.tga
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/atcs_halloween/bulb_red_s
{
	qer_editorimage textures/atcs_halloween/bulb_red.tga
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/atcs_halloween/bulb_red.tga
		blendfunc gl_dst_color gl_src_alpha
	}
	{
		map textures/atcs_halloween/bulb_red.tga
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/atcs_halloween/eq2_bounce
{
	qer_editorimage textures/atcs_halloween/eq2_bounce.tga
	
	{
		map textures/atcs_halloween/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/atcs_halloween/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/atcs_halloween/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/atcs_halloween/cubelight_32_blue_invis_s_15k
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 15000
	q3map_lightimage textures/atcs_halloween/cubelight_32_blue.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_blue.blend.tga
}

textures/atcs_halloween/cubelight_32_red_invis_s_15k
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 15000
	q3map_lightimage textures/atcs_halloween/cubelight_32_red.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_red.blend.tga
}

textures/atcs_halloween/cubelight_32_white_s_20k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightimage textures/atcs_halloween/cubelight_32_white.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_white.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_white.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_blue_s_20k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightimage textures/atcs_halloween/cubelight_32_blue.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_blue_s_15k
{
	surfaceparm nomarks
	q3map_surfacelight 15000
	q3map_lightimage textures/atcs_halloween/cubelight_32_blue.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_blue_s_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/atcs_halloween/cubelight_32_blue.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_red_s_20k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightimage textures/atcs_halloween/cubelight_32_red.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_red.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_red_s_15k
{
	surfaceparm nomarks
	q3map_surfacelight 15000
	q3map_lightimage textures/atcs_halloween/cubelight_32_red.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_red.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/cubelight_32_red_s_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/atcs_halloween/cubelight_32_red.blend.tga
	qer_editorimage textures/atcs_halloween/cubelight_32_red.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/cubelight_32_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2lt_baselt03b_blue_s_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2lt_baselt03b_blue_s_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2lt_baselt03b_blue_s_1500
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	q3map_lightimage textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_cool/eq2lt_baselt03b_blue_s_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/atcs_cool/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_cool/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_cool/eq2lt_baselt03b_blue_s_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/atcs_cool/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_cool/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_cool/eq2lt_baselt03b_blue_s_1500
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	q3map_lightimage textures/atcs_cool/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/atcs_cool/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/atcs_halloween/eq2lt_baselt03b_s_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/atcs_halloween/eq2_baselt03b.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2lt_baselt03b_s_1500
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	q3map_lightimage textures/atcs_halloween/eq2_baselt03b.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2_baselt03_blue_s_5000
{
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightimage textures/atcs_halloween/eq2_baselt03_blue.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2_baselt03_blue_s_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/atcs_halloween/eq2_baselt03_blue.blend.tga
	qer_editorimage textures/atcs_halloween/eq2_baselt03_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_baselt03_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_cool/eq2_baselt03_blue_s_5000
{
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightimage textures/atcs_cool/eq2_baselt03_blue.blend.tga
	qer_editorimage textures/atcs_cool/eq2_baselt03_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_cool/eq2_baselt03_blue_s_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/atcs_cool/eq2_baselt03_blue.blend.tga
	qer_editorimage textures/atcs_cool/eq2_baselt03_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_cool/eq2_baselt03_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/eq2lt_bmtl03light_1000
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	qer_editorimage textures/atcs_halloween/eq2_bmtl_03_light.tga
	q3map_lightimage textures/atcs_halloween/eq2_bmtl_03_light.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_bmtl_03_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs_halloween/eq2_bmtl_03_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/atcs_halloween/fog_s
{
	qer_editorimage textures/atcs_halloween/fog_radiant.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	// fogparms ( <red> <green> <blue> ) <distance to opaque>
	fogparms ( 1.0 1.0 0.8 ) 4096
	fogparms ( 1.0 1.0 0.8 ) 2048
}

textures/atcs_halloween/fog_s_blue
{
	qer_editorimage textures/atcs_halloween/fog_radiant.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	// fogparms ( <red> <green> <blue> ) <distance to opaque>
	fogparms ( 0.8 0.8 1.8 ) 7000
}

// from karith, by jex
textures/atcs_halloween/steam_s
{
	entityMergable
	cull none
	{
		map textures/atcs_halloween/steam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/atcs_halloween/web01
{
	qer_editorimage textures/atcs_halloween/web01_radiant.jpg
	{
		map textures/atcs_halloween/web01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/atcs_halloween/fence01
{
    {
        map textures/atcs_halloween/fence01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
textures/atcs_halloween/magiccliff01
{
    {
        map textures/atcs_halloween/magiccliff01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
textures/atcs_halloween/magiccliff02
{
    {
        map textures/atcs_halloween/magiccliff02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
textures/atcs_halloween/spider01_frame1
{
  {
	animMap 4 textures/atcs_halloween/spider01_frame1.tga textures/atcs_halloween/spider01_frame2.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
  }
}
textures/atcs_halloween/title
{
    {
        map textures/atcs_halloween/title.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
textures/atcs_halloween/trick_or_treat
{
    {
        map textures/atcs_halloween/trick_or_treat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
textures/atcs_halloween/help01
{
	qer_editorimage textures/atcs_halloween/help01.jpg

	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/atcs_halloween/help01.jpg
		blendfunc filter
	}
}
textures/atcs_halloween/help02
{
	qer_editorimage textures/atcs_halloween/help02.jpg

	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/atcs_halloween/help02.jpg
		blendfunc filter
	}
}
textures/atcs_halloween/spiderweb1
{
	qer_editorimage textures/atcs_halloween/spiderweb1_r.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
    {
        map textures/atcs_halloween/spiderweb1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
models/props/pumpkin/pumpkin
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map models/props/pumpkin/pumpkin.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/props/pumpkin/pumpkin.jpg
        blendfunc GL_ONE GL_ONE
    }
}
models/props/lildemon/lil_demon_diffuse
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map models/props/lildemon/lil_demon_diffuse.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/props/lildemon/lil_demon_diffuse.tga
        blendfunc GL_ONE GL_ONE
    }
}
models/props/skull/human_skull_aged_dif
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map models/props/skull/human_skull_aged_dif.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/props/skull/human_skull_aged_dif.tga
        blendfunc GL_ONE GL_ONE
    }
}
models/props/tree/arbol_seco
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map models/props/tree/arbol_seco.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/props/tree/arbol_seco.tga
        blendfunc GL_ONE GL_ONE
    }
}
models/props/boiler/map
{
	{
		map models/props/boiler/blue.tga
	}
	{
		map models/props/boiler/map.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}
models/props/boiler/pipeslick
{
	surfaceparm slick
	{
		map models/props/boiler/blue.tga
	}
	{
		map models/props/boiler/map.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}
textures/atcs_halloween/map
{
	{
		map textures/atcs_halloween/blue.tga
	}
	{
		map textures/atcs_halloween/map.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}
textures/atcs_halloween/pipeslick
{
	surfaceparm slick
	{
		map textures/transptex/blue.tga
	}
	{
		map textures/atcs_halloween/map.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}
models/models/buildables/repeater/h_base
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map models/models/buildables/repeater/h_base.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map models/models/buildables/repeater/h_base.tga
        blendfunc GL_ONE GL_ONE
    }
}